> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decibel.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Handler to get referral info for an account (who referred them)



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/referrals/account/{account}
openapi: 3.1.0
info:
  title: Decibel Trading API
  description: >-
    RESTful API for Decibel. Provides read-only endpoints for market data,
    trading operations, positions, and analytics.
  contact:
    name: Decibel Team
    url: https://decibel.trade/
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.mainnet.aptoslabs.com/decibel
    description: Mainnet
  - url: https://api.testnet.aptoslabs.com/decibel
    description: Testnet
security:
  - bearerAuth: []
tags:
  - name: Market Data
    description: Market information and real-time data endpoints
  - name: User
    description: User information and account management
  - name: Trades
    description: Trading operations and history
  - name: Positions
    description: User position management
  - name: Orders
    description: Order management and history
  - name: TWAP
    description: Time-weighted average price orders
  - name: Bulk Orders
    description: Bulk order management
  - name: Vaults
    description: Vault operations and management
  - name: Analytics
    description: Analytics and performance metrics
  - name: Predeposit Rewards
    description: Season 0 predeposit USDC rewards
  - name: Referrals
    description: Referral code management and tracking
paths:
  /api/v1/referrals/account/{account}:
    get:
      tags:
        - Referrals
      summary: Handler to get referral info for an account (who referred them)
      operationId: handle_get_account_referral
      parameters:
        - name: account
          in: path
          description: >-
            The wallet address to look up referral info for (not a subaccount
            address)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved account referral info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountReferralInfo'
        '400':
          description: Invalid account address
        '404':
          description: Account was not referred or not found
        '500':
          description: Internal server error
components:
  schemas:
    AccountReferralInfo:
      type: object
      description: Account referral information - shows who referred this account
      required:
        - account
        - referrer_account
        - referral_code
        - is_affiliate_referral
        - referred_at_ms
        - is_active
      properties:
        account:
          type: string
          description: The referred user's wallet address (not a subaccount address)
        is_active:
          type: boolean
          description: Whether the referral code is still active (can accept new referrals)
        is_affiliate_referral:
          type: boolean
        referral_code:
          type: string
        referred_at_ms:
          type: integer
          format: int64
        referrer_account:
          type: string
          description: The referrer's wallet address
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from Geomi. See
        [Authentication](/api-reference/rest/authentication) for setup
        instructions.

````